Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040147
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2019-02-05 14:312019-03-18 15:43
ReporterngarciaView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision23afae5f9779
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toguilleaer
Regression introduced in release
Summary

0040147: CannotTakeOutReservedStock message search key shown instead of message text when trying to confirm a inventory in Front End

DescriptionCannotTakeOutReservedStock message search key shown instead of message text when trying to confirm a inventory in Front End
Steps To ReproduceIn the backoffice, as AWO-QA Admin role:
   Create a new product
   Set it Storage Bin Group List = Beverages SBGL
   Add a sales price list to it

In the front end, as FE_West_Users role:
   Create a Count for Beverage101 bin
   Confirm 1 unit of previously created product

In the backoffice, as AWO-QA Admin role:
   Create a Sales Order, add 1 unit of previously created product and book it
   Reserve one unit
   Navigate to the Stock Reservation and set the West Coast warehouse

In the front end, as FE_West_Users role:
   Create a Count for Beverage101 bin
   Try to confirm 0 units of previously created product and check the following error is shown:
   Unexpected exception processing task
   Check error window in Backoffice:
   org.postgresql.util.PSQLException: ERROR: @CannotTakeOutReservedStock@ @of@ @Product@: NAI, @AttributeSetInstance@: -, @UOM@: Ud @And@ @StorageBin@: ...

      
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110128)
hgbot (developer)
2019-02-28 17:20

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: af2598bc49692f07540f0200e42805b3768006e8
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Thu Feb 28 11:16:25 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/af2598bc49692f07540f0200e42805b3768006e8 [^]

Fixed issue 40147: Fixed exception message not being translated.

When saving a record in tasks' errors table, the error message is now translated
so the FrontEnd can show an understandable text.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/sync/AWODataSynchronizationErrorHandler.java
---
(0110212)
hgbot (developer)
2019-03-04 20:39

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: a68a1506514aa339464be7fc76d475e3c19d1913
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Mar 04 14:32:55 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/a68a1506514aa339464be7fc76d475e3c19d1913 [^]

Related to issue 40147: Error messages are only translated if they contain a
translatable substring.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/sync/AWODataSynchronizationErrorHandler.java
---
(0110426)
hgbot (developer)
2019-03-14 10:05

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 23afae5f9779dee3c834c4157f986fab09049867
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Mar 14 10:05:19 2019 +0100
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/23afae5f9779dee3c834c4157f986fab09049867 [^]

Fixed issue 40147: [backport][18q3] Fixed exception message not being translated.

When saving a record in tasks' errors table, the error message is now translated
so the FrontEnd can show an understandable text.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/sync/AWODataSynchronizationErrorHandler.java
---

- Issue History
Date Modified Username Field Change
2019-02-05 14:31 ngarcia New Issue
2019-02-05 14:31 ngarcia Assigned To => Triage Finance
2019-02-05 14:31 ngarcia Issue Monitored: networkb
2019-02-05 14:33 Practics Issue Monitored: Practics
2019-02-05 15:44 Sandrahuguet Assigned To Triage Finance => guilleaer
2019-02-12 17:43 ngarcia Assigned To guilleaer => Triage Finance
2019-02-12 17:44 ngarcia Assigned To Triage Finance => guilleaer
2019-02-28 17:20 hgbot Checkin
2019-02-28 17:20 hgbot Note Added: 0110128
2019-02-28 17:20 hgbot Status new => resolved
2019-02-28 17:20 hgbot Resolution open => fixed
2019-02-28 17:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/af2598bc49692f07540f0200e42805b3768006e8 [^]
2019-03-01 09:46 marvintm Review Assigned To => marvintm
2019-03-01 09:46 marvintm Status resolved => closed
2019-03-04 20:39 hgbot Checkin
2019-03-04 20:39 hgbot Note Added: 0110212
2019-03-14 10:05 hgbot Checkin
2019-03-14 10:05 hgbot Note Added: 0110426
2019-03-14 10:05 hgbot Status closed => resolved
2019-03-14 10:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/af2598bc49692f07540f0200e42805b3768006e8 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/23afae5f9779dee3c834c4157f986fab09049867 [^]
2019-03-18 15:43 guilleaer Review Assigned To marvintm => guilleaer
2019-03-18 15:43 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker